



(defun c:BlocsImbriquesListe
       (/ AcadDocActif ListeBlocsTraites bloc obj)
  (vl-load-com)

  (setq AcadDocActif (vla-get-activedocument (vlax-get-acad-object)))

  (setq ListeBlocsTraites (list ""))

  ;;; Liste tous les blocs du document actif

  (vlax-for bloc (vla-get-blocks AcadDocActif)
    (if	(and
	  (= :vlax-false (vla-get-isxref bloc))
	  (= :vlax-false (vla-get-islayout bloc))
	)

      ;;; teste si dans le bloc il y a des objets blocs
      (vlax-for	obj bloc
	(if (= "AcDbBlockReference" (vla-get-objectname obj))
	  (if (= (member (vla-get-name bloc) ListeBlocsTraites) nil)
	    (progn
	      (setq ListeBlocsTraites
		     (append ListeBlocsTraites
			     (list (vla-get-name bloc))
		     )
	      )
	      (princ (strcat "\nLe bloc : " (vla-get-name Obj)
			     " => est imbriqu dans le bloc : " (vla-get-name bloc)
		     )
	      )
	    )				;progn
	  )				;if member
	)				;if AcDbBlockReference
      )					;for obj
    )					;if and
  )					;for bloc


  ;;; Si aucun bloc imbriqu n'a t trouv
  (if (< (length ListeBlocsTraites) 2)
    (princ "\nAucun bloc imbriqu n'a t trouv.")
  )

  (princ)
)